Bug 493069 - cursor isn't rotated in dualhead setup with one rotated and one normal display
cursor isn't rotated in dualhead setup with one rotated and one normal display
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-31 10:38 EDT by Ales Zelinka
Modified: 2013-04-02 00:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-09 05:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log (99.81 KB, text/plain)
2009-04-01 08:00 EDT, Ales Zelinka
no flags Details
dmesg output (35.71 KB, text/plain)
2009-07-07 15:11 EDT, P V
no flags Details
Xorg.0.log (182.43 KB, text/plain)
2009-07-07 15:34 EDT, P V
no flags Details

  None (edit)
Description Ales Zelinka 2009-03-31 10:38:37 EDT
Description of problem:
I have a pretty much working dualhead setup - one display rotated, one not. When cursor is moved to the rotated display it doesn't rotate and its "active point" is way off, rendering mouse unusable on this screen.

When the non-rotated display is off-ed by xrandr or gnome-display-properties, leaving on only the rotated one, the cursor starts to works well  - is rotated properly and the active point is directly on the tip of the arrow.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. xrandr --output LVDS1 --auto --output VGA1 --auto --left-of LVDS1 --rotate left
Additional info:
no Xorg.conf - completely auto-generated 
VGA1 connected 1024x1280+0+0 left (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS1 connected 1680x1050+1280+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      60.0*+   50.0  
DVI1 disconnected (normal left inverted right x axis y axis)
Comment 1 Matěj Cepl 2009-04-01 05:44:01 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ales Zelinka 2009-04-01 08:00:47 EDT
Created attachment 337496 [details]

No problem, here is the xorg log, as requested.
Comment 3 Ales Zelinka 2009-04-22 05:15:25 EDT
Hi, any progress on this? 

Comment 4 Bug Zapper 2009-06-09 08:51:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 5 P V 2009-07-07 15:11:25 EDT
Created attachment 350852 [details]
dmesg output

hope this helps!
Comment 6 P V 2009-07-07 15:19:44 EDT
Hi, Please help! (I hope this is posted in the right category!)

I have the same problem with the default system installed with the 
Fedora 11 x86_64 DVD on a Compaq Presario A916NR Notebook. I can use gnome-display-properties to activate an external monitor and rotate it.

Window contents on External Monitor and window panels are successfully rotated.
However the cursor is not rotated to match the display it's on:

 - Instead of a vertical bar between letters, the mouse cursor appears as a horizonal line. 
 - "Active Point is way off" = 
    * When clicked or dragged on text the editing cursor appears 6 or 7 characters to the left of where you would expect. 
    * When clicked on buttons and other active elements similarly the wrong results are obtained (wrong or no button pressed)

When the non-rotated display (i.e., the internal laptop panel) is turned off by gnome-display-properties, leaving on only the rotated one, 
the cursor starts to works well -- it is rotated properly and the active point is directly on the tip of the arrow.

But reactivate the internal laptop panel and the bad behavior returns.

I have posted dmesg above and will post Xorg log below; let me know if there's anything else I can do to help. 

Thank you!
Comment 7 P V 2009-07-07 15:34:30 EDT
Created attachment 350858 [details]

Rotating the window but leaving the mouse cursor unrotated, makes it near impossible to mouse active elements like thin vertical scrollbars on bugzilla. The active point is always mouseunderestimated.
Comment 8 Petr Šplíchal 2009-09-02 08:04:16 EDT
I've just come across the same problem on the fresh Fedora 12 Alpha.
This issue causes the rotated monitor to be completely unusable.
Please, can you have a look at this? Thanks.
Comment 9 Petr Šplíchal 2009-09-30 05:16:28 EDT
Comment 11 Matěj Cepl 2009-11-05 13:23:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Felix Schwarz 2009-11-08 11:21:35 EST
works for me now using desktop-x86_64-20091106.16.iso as a live usb image (I saw the problem using F11). Still some glitches when it comes to background images but the cursor is fixed for me.
Comment 13 Ales Zelinka 2009-11-09 03:33:37 EST
Works for me too. Cursor is rotated properly. Thanks!
Comment 14 Matěj Cepl 2009-11-09 05:26:42 EST
Thank you for letting us know.
Comment 15 Phil V 2010-07-15 17:29:40 EDT
Works for me too. Cursor is rotated properly. Thanks!

Note You need to log in before you can comment on or make changes to this bug.